Subject: RE: [Simple] IMDN issue #7: Delivery as a notification

From: "Burger, Eric" <[email-masked]>
Date: Mon, 30 Jan 2006 15:36:14 -0500

If 200 OK doesn't note delivery, what does it convey?

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf
Of Hisham Khartabil
Sent: Friday, January 27, 2006 10:18 AM
To: Simple WG
Subject: [Simple] IMDN issue #7: Delivery as a notification

I am continuing with the issue count that Eric Burger started and 
therefore have issue number 7 as the first one.

The draft only refers to read reports but does not talk about delivery 
reports. While that makes some sense for MSRP. It does not make sense 
for page-mode IMs using the SIP MESSAGE request. The 200 OK for MESSAGE 
does not indicate delivery, therefore a IMDN indicating actual delivery 
success or failure is needed to be in this draft.

Regards,
Hisham

_______________________________________________
Simple mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/simple

_______________________________________________
Simple mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/simple

---

From: Hisham Khartabil <[email-masked]>
Date: Tue, 31 Jan 2006 09:39:48 +0100

It indicates delivery to the next hop, not end to end delivery.

                              IM Server/Exploder
      +------+                +------+                  +-------+
      | UA1  |                |      |                  | UA2   |
      +--+---+                +--+---+                  +---+---+
         |                       |                          |
         |   MESSAGE             |                          |
         |---------------------->|                          |
         |                       |     MESSAGE              |
         |    200                |------------------------->|
         |<----------------------|                          |
         |                       |                          |
         |                       |     4xx                  |
         |                       |<-------------------------|
         |                       |                          |
         |                       |                          |
         |                       |                          |
         |                       |                          |
         |                       |                          |
         |                       |                          |
         |                       |                          |

Hisham